<template>
  <ThemeCommonMobileMainPageWrapper back-to="/profile" :title="$t('statement')">
    <ThemeCommonMobileMainTabs
      v-model="transactionAcitveTab"
      stretch
      sticky
      :top="52"
    >
      <el-tab-pane
        name="transaction-history-deposit"
        :disabled="isStatementLoading"
      >
        <template #label>
          <nuxt-link to="/transaction-history/deposit" class="py-4">{{
            $t("deposit")
          }}</nuxt-link>
        </template>
      </el-tab-pane>
      <el-tab-pane
        name="transaction-history-withdrawal"
        :disabled="isStatementLoading"
      >
        <template #label>
          <nuxt-link to="/transaction-history/withdrawal" class="py-4">{{
            $t("withdrawal")
          }}</nuxt-link>
        </template>
      </el-tab-pane>
      <el-tab-pane
        name="transaction-history-winlose"
        :disabled="isStatementLoading"
      >
        <template #label>
          <nuxt-link to="/transaction-history/winlose" class="py-4">{{
            $t("winlose")
          }}</nuxt-link>
        </template>
      </el-tab-pane>
      <el-tab-pane
        name="transaction-history-my-promotion"
        :disabled="isStatementLoading"
      >
        <template #label>
          <nuxt-link to="/transaction-history/my-promotion" class="py-4">{{
            $t("my_promotion")
          }}</nuxt-link>
        </template>
      </el-tab-pane>
    </ThemeCommonMobileMainTabs>
    <nuxt-page class="flex-auto"></nuxt-page>
  </ThemeCommonMobileMainPageWrapper>
</template>

<script setup lang="ts">
import { store } from "~~/store";

const route = useRoute();

const transactionAcitveTab = computed(() => String(route.name));
const isStatementLoading = computed(() => store.state.isStatementLoading);
</script>

<style scoped></style>
